"""
emailconfig

Revision ID: c61fd9d4f73e
Revises: 7abe778b7082
Create Date: 2022-08-10 19:29:12.119401

"""
import sqlalchemy as sa
import sqlalchemy_utils
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "c61fd9d4f73e"
down_revision = "7abe778b7082"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "emailconfig",
        sa.Column("id", sa.String(length=255), nullable=False),
        sa.Column(
            "created_at",
            sa.DateTime(timezone=True),
            server_default=sa.text("now()"),
            nullable=True,
        ),
        sa.Column(
            "updated_at",
            sa.DateTime(timezone=True),
            server_default=sa.text("now()"),
            nullable=True,
        ),
        sa.Column("key", sa.String(), nullable=False),
        sa.Column("name", sa.String(), nullable=True),
        sa.Column(
            "service_type", sa.Enum("MAILGUN", name="emailservicetype"), nullable=False
        ),
        sa.Column("details", postgresql.JSONB(astext_type=sa.Text()), nullable=False),
        sa.Column(
            "secrets",
            sqlalchemy_utils.types.encrypted.encrypted_type.StringEncryptedType(),
            nullable=True,
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_emailconfig_id"), "emailconfig", ["id"], unique=False)
    op.create_index(op.f("ix_emailconfig_key"), "emailconfig", ["key"], unique=True)
    op.create_index(op.f("ix_emailconfig_name"), "emailconfig", ["name"], unique=True)
    op.create_index(
        op.f("ix_emailconfig_service_type"),
        "emailconfig",
        ["service_type"],
        unique=False,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_emailconfig_service_type"), table_name="emailconfig")
    op.drop_index(op.f("ix_emailconfig_name"), table_name="emailconfig")
    op.drop_index(op.f("ix_emailconfig_key"), table_name="emailconfig")
    op.drop_index(op.f("ix_emailconfig_id"), table_name="emailconfig")
    op.drop_table("emailconfig")
    # ### end Alembic commands ###
